﻿@using Microsoft.Extensions.Localization

@inject IStringLocalizer<AboutProgramModal> _localizer

<div class="modal fade" id="AboutProgramModal" tabindex="-1">
    <div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">@_localizer["Про програму"]</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <p class="lead text-center fw-normal mt-0 mb-3">
                    @((MarkupString)_localizer["<strong>Overtest TaskForce</strong> - це застосунок, розроблений для авторів посібників та збірників завдань з алгоритмічного " +
                                               "та спортивного програмування, які хочуть розширити стандартний Архів завдань системи Overtest, адаптувавши свої творіння до " +
                                               "формату, що відповідає вимогам програмного продукту."].Value)
                </p>
                
                <div class="row mt-0 mb-3">
                    @* External link *@
                    <div class="col-md d-flex">
                        <button class="btn btn-light border border-dark flex-grow-1" onclick="shell.openExternal('https://overtest.sirkadirov.com/')">
                            <span>@_localizer["Офіційний сайт"]</span>
                            <i class="fas fa-external-link-alt"></i>
                        </button>
                    </div>
                    @* /External link *@
                    
                    @* External link *@
                    <div class="col-md d-flex">
                        <button class="btn btn-light border border-dark flex-grow-1" onclick="shell.openExternal('https://docs.overtest.sirkadirov.com/')">
                            <span>@_localizer["Документація"]</span>
                            <i class="fas fa-external-link-alt"></i>
                        </button>
                    </div>
                    @* /External link *@
                    
                    @* External link *@
                    <div class="col-md d-flex">
                        <button class="btn btn-light border border-dark flex-grow-1" onclick="shell.openExternal('https://github.com/overtest/')">
                            <span>@_localizer["Репозиторій на GitHub"]</span>
                            <i class="fas fa-external-link-alt"></i>
                        </button>
                    </div>
                    @* /External link *@
                </div>
                
                <p class="small text-center mt-0 mb-3">
                    <span>Copyright &copy; 2020-@DateTime.UtcNow.Year, Yurii Kadirov (Sirkadirov) and contributors.</span>
                    
                    This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as
                    published by the Free Software Foundation, either version 3 of the License, or any later version.
                    
                    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
                    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU AGPL website for more details: https://gnu.org/licenses/.
                    
                    This program is built on the top of open source and free software projects, like .NET, ASP.NET Core, Blazor, Newtonsoft.Json,
                    Electron (with wrapper for .NET) and other projects. See project's website and source control for more details.
                </p>
                
                <div class="d-flex justify-content-center m-0">
                    <div class="align-self-center">
                        <a onclick="shell.openExternal('https://sirkadirov.com/')" href="javascript:void(0);">
                            <img src="/resources/img/sirkadirov-logo-black.svg" style="width: auto; height: 40px;" alt="Sirkadirov" />
                        </a>
                    </div>
                    <div style="width: 30px;"></div>
                    <div class="align-self-center">
                        <a onclick="shell.openExternal('https://supremeorder.rocks/')" href="javascript:void(0);">
                            <img src="/resources/img/supremeorder-logo-black.svg" style="width: auto; height: 48px;" alt="NGO Supreme Order" />
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>